atomicity.h File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_cxx

## Macros

#define | _GLIBCXX_READ_MEM_BARRIER
#define | _GLIBCXX_WRITE_MEM_BARRIER

## Functions

static void | __gnu_cxx::__atomic_add_single (_Atomic_word *__mem, int __val)
else | __gnu_cxx::__atomic_add_single (__mem, __val)
_Atomic_word | __gnu_cxx::__attribute__ ((__unused__)) __exchange_and_add(volatile _Atomic_word *
static _Atomic_word | __gnu_cxx::__exchange_and_add_single (_Atomic_word *__mem, int __val)
else return | __gnu_cxx::__exchange_and_add_single (__mem, __val)
static _Atomic_word int __val | __gnu_cxx::if (__gthread_active_p()) return __exchange_and_add(__mem
_Atomic_word int | __gnu_cxx::throw ()

## Variables

static _Atomic_word int __val | __gnu_cxx::__val

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file atomicity.h.